
User Interface - Bug #8261

REGRESSION: delete selection works incorrectly for a left-aligned decimal FILL-IN

02/08/2024 01:17 PM - Vladimir Tsichevski

Status: Internal Test Start date:  

Priority: Normal Due date:  

Assignee: Vladimir Tsichevski % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#2 - 02/08/2024 01:22 PM - Vladimir Tsichevski

Versions: 7019b aka trunk 14978.

Scenario:

1. Create left-aligned decimal FILL-IN with default decimal format:

DEFINE VARIABLE k AS DECIMAL VIEW-AS FILL-IN.

DEFINE FRAME fr3 WITH SIDE-LABELS.

DISPLAY k WITH FRAME fr3 NO-LABEL.

ENABLE ALL WITH FRAME fr3.

Or, make a right-aligned fill-in left-aligned by pressing ? (this is a FWD bug, shall be removed in the future).

2. Set the value to 2,345.67 (it must be shorter than is allowed by format)

3. Select 2 and press Delete. The digit is not removed.

4. Select 3 and press Delete. The digit 2 is removed instead of 3.

5. Select all with Ctrl-A and press Delete. The result is different from the expected 0.00.

6. and so on...

For a right-aligned FILL-IN selection is deleted with no issues.

This is kind of a regression of the 7019a change.

#3 - 02/09/2024 08:42 AM - Vladimir Tsichevski
- Status changed from New to WIP

#4 - 02/09/2024 08:42 AM - Vladimir Tsichevski

- Status changed from WIP to Review

- % Done changed from 0 to 100

- Assignee set to Vladimir Tsichevski

The fix is ready in 7019c rev. 14979. Please, review.

#5 - 02/09/2024 01:17 PM - Greg Shah

- Status changed from Review to Internal Test

This was reviewed in #7019-124.
